import App from "./App.vue";
import Components from "./components";
import {
  Table,
  Select,
  Option,
  DatePicker
} from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import * as filters from './filters' // global filters
Vue.component(Table.name, Table);
Vue.component(Select.name, Select);
Vue.component(Option.name, Option);
Vue.component(DatePicker.name, DatePicker);
// Vue.component(TabPane.name, TabPane);
Vue.use(Components);
// register global utility filters
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

Vue.config.productionTip = false;
window.vm = new Vue({
  render: h => h(App)
}).$mount("#app");
